[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SaveContent

Saves design-time configuration, column and row settings, and data to the specified XML configuration file.

## Declaration

Source position: grids.pas line 1175

`protected procedure TCustomGrid.SaveContent(`
`cfg: TXMLConfig`
`); virtual;`

## Arguments

`cfg` |  | TXMLConfig instance where the content is stored.

## Description

Use LoadContent to load values saved in SaveContent method.

## See also

TCustomGrid.SaveOptions |  | Options which control the information saved and loaded for the grid control.
TCustomGrid.SaveGridOptions |  | Saves grid options to the specified XML configuration file.
TCustomGrid.LoadContent |  | Loads values for the grid control from the specified XML configuration file.